Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class ReasonFlags

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.DERBitString
                  |
                  +--org.bouncycastle.asn1.x509.ReasonFlags

All Implemented Interfaces:
  DEREncodable, DERTags

public class ReasonFlags
extends DERBitString

Field Summary
`static int` | `AA_COMPROMISE`
`static int` | `AFFILIATION_CHANGED`
`static int` | `CA_COMPROMISE`
`static int` | `CERTIFICATE_HOLD`
`static int` | `CESSATION_OF_OPERATION`
`static int` | `KEY_COMPROMISE`
`static int` | `PRIVILEGE_WITHDRAWN`
`static int` | `SUPERSEDED`
`static int` | `UNUSED`

Fields inherited from class org.bouncycastle.asn1.DERBitString
`data, padBits`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`ReasonFlags(DERBitString reasons)`
`ReasonFlags(int reasons)` ReasonFlags ::= BIT STRING { unused(0), keyCompromise(1), cACompromise(2), affiliationChanged(3), superseded(4), cessationOfOperation(5), certficateHold(6) }

Methods inherited from class org.bouncycastle.asn1.DERBitString
`equals, getBytes, getBytes, getInstance, getInstance, getPadBits, getPadBits`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNUSED

    public static final int UNUSED

See Also:
  Constant Field Values

### KEY_COMPROMISE

    public static final int KEY_COMPROMISE

See Also:
  Constant Field Values

### CA_COMPROMISE

    public static final int CA_COMPROMISE

See Also:
  Constant Field Values

### AFFILIATION_CHANGED

    public static final int AFFILIATION_CHANGED

See Also:
  Constant Field Values

### SUPERSEDED

    public static final int SUPERSEDED

See Also:
  Constant Field Values

### CESSATION_OF_OPERATION

    public static final int CESSATION_OF_OPERATION

See Also:
  Constant Field Values

### CERTIFICATE_HOLD

    public static final int CERTIFICATE_HOLD

See Also:
  Constant Field Values

### PRIVILEGE_WITHDRAWN

    public static final int PRIVILEGE_WITHDRAWN

See Also:
  Constant Field Values

### AA_COMPROMISE

    public static final int AA_COMPROMISE

See Also:
  Constant Field Values

Constructor Detail

### ReasonFlags

    public ReasonFlags(int reasons)

       ReasonFlags ::= BIT STRING {
          unused(0),
          keyCompromise(1),
          cACompromise(2),
          affiliationChanged(3),
          superseded(4),
          cessationOfOperation(5),
          certficateHold(6)
       }

Parameters:
  `reasons` - - the bitwise OR of the Key Reason flags giving the allowed uses for the key.

### ReasonFlags

    public ReasonFlags(DERBitString reasons)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD